Page MenuHomePhabricator

Remove $wgIPInfoGeoIP2EnterprisePath from production config
Closed, ResolvedPublic

Description

$wgIPInfoGeoIP2EnterprisePath was added to WMF production config in T304604.

Now that we are using data from Spur instead of the MaxMind GeoIP2 Enterprise database, we can unset this config.

We still need to use $wgIPInfoGeoLite2Prefix to get geographical, ISP, ASN and organization data.

Event Timeline

Change #1017152 had a related patch set uploaded (by Tchanders; author: Tchanders):

[operations/mediawiki-config@master] IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath

https://gerrit.wikimedia.org/r/1017152

I noticed that IPInfo only gets ISP from MaxMind's Enterprise database: https://gerrit.wikimedia.org/g/mediawiki/extensions/IPInfo/+/b1f9ab1370da79619911c754c875155ceecb81cb/src/InfoRetriever/GeoLite2InfoRetriever.php#196

I think this is OK though, since we get organization from Spur.

@STran Does that sound OK to you?

Change #1017152 merged by jenkins-bot:

[operations/mediawiki-config@master] IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath

https://gerrit.wikimedia.org/r/1017152

Mentioned in SAL (#wikimedia-operations) [2024-05-13T20:40:31Z] <ebernhardson@deploy1002> Started scap: Backport for [[gerrit:1017152|IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath (T361884)]]

Mentioned in SAL (#wikimedia-operations) [2024-05-13T20:42:54Z] <ebernhardson@deploy1002> ebernhardson and tchanders: Backport for [[gerrit:1017152|IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath (T361884)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-05-13T20:57:54Z] <ebernhardson@deploy1002> Finished scap: Backport for [[gerrit:1017152|IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath (T361884)]] (duration: 17m 22s)

Change #1037139 had a related patch set uploaded (by Tchanders; author: Tchanders):

[operations/mediawiki-config@master] Revert "IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath"

https://gerrit.wikimedia.org/r/1037139

Change #1037139 merged by jenkins-bot:

[operations/mediawiki-config@master] Revert "IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath"

https://gerrit.wikimedia.org/r/1037139

Mentioned in SAL (#wikimedia-operations) [2024-05-30T20:55:56Z] <cjming@deploy1002> Started scap: Backport for [[gerrit:1037139|Revert "IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath" (T361884)]]

Mentioned in SAL (#wikimedia-operations) [2024-05-30T20:58:23Z] <cjming@deploy1002> tchanders and cjming: Backport for [[gerrit:1037139|Revert "IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath" (T361884)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-05-30T21:07:40Z] <cjming@deploy1002> Finished scap: Backport for [[gerrit:1037139|Revert "IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath" (T361884)]] (duration: 11m 43s)

Change #1038421 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] IPInfo: Set GeoLite2Prefix path

https://gerrit.wikimedia.org/r/1038421

Change #1038723 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] IPInfo: Remove $wgIPInfoGeoIP2EnterprisePath and use GeoLite2 data

https://gerrit.wikimedia.org/r/1038723

Change #1038421 abandoned by Kosta Harlan:

[operations/mediawiki-config@master] IPInfo: Set GeoLite2Prefix path

Reason:

Going with I0489439c6eceb96ef00e0f0ef16ceb168a0067c9 instead

https://gerrit.wikimedia.org/r/1038421

Change #1038723 merged by jenkins-bot:

[operations/mediawiki-config@master] IPInfo: Switch to using GeoLite2 data

https://gerrit.wikimedia.org/r/1038723

Mentioned in SAL (#wikimedia-operations) [2024-06-10T07:41:17Z] <kharlan@deploy1002> Started scap: Backport for [[gerrit:1038723|IPInfo: Switch to using GeoLite2 data (T361884)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-10T07:57:44Z] <kharlan@deploy1002> kharlan: Backport for [[gerrit:1038723|IPInfo: Switch to using GeoLite2 data (T361884)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-10T07:59:46Z] <kharlan@deploy1002> Started scap: Backport for [[gerrit:1038723|IPInfo: Switch to using GeoLite2 data (T361884)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-10T08:02:54Z] <kharlan@deploy1002> kharlan: Backport for [[gerrit:1038723|IPInfo: Switch to using GeoLite2 data (T361884)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-10T08:13:54Z] <kharlan@deploy1002> Finished scap: Backport for [[gerrit:1038723|IPInfo: Switch to using GeoLite2 data (T361884)]] (duration: 14m 07s)

kostajh changed the task status from Stalled to Open.Jun 10 2024, 8:25 AM
kostajh added a subscriber: dom_walden.

I am not sure that this needs QA. @dom_walden do you have an opinion on this?

During deployment, I verified a couple of IP addresses and noted that in some cases the address information (city level) varied between enterprise level and GeoLite2. In one case, the GeoLite2 data was more specific; in another case, the Enterprise data was more specific. In several cases, there was no difference in the data.

I am not sure that this needs QA. @dom_walden do you have an opinion on this?

During deployment, I verified a couple of IP addresses and noted that in some cases the address information (city level) varied between enterprise level and GeoLite2. In one case, the GeoLite2 data was more specific; in another case, the Enterprise data was more specific. In several cases, there was no difference in the data.

I guess if you are seeing data for GeoLite2 that is enough. Unless there are any other risks we can think of, we probably don't need to do anymore testing.